import request from '@/utils/request'

// 查询井身结构示意图列表
export function listJsda(query) {
  return request({
    url: '/system/jsda/list',
    method: 'get',
    params: query
  })
}

// 查询井身结构示意图详细
export function getJsda(jh) {
  return request({
    url: '/system/jsda/' + jh,
    method: 'get'
  })
}

// 新增井身结构示意图
export function addJsda(data) {
  return request({
    url: '/system/jsda',
    method: 'post',
    data: data
  })
}

// 修改井身结构示意图
export function updateJsda(data) {
  return request({
    url: '/system/jsda',
    method: 'put',
    data: data
  })
}

// 删除井身结构示意图
export function delJsda(jh) {
  return request({
    url: '/system/jsda/' + jh,
    method: 'delete'
  })
}
